// Задача "Эксперимент"
// Девятая индивидуальная Интернет-олимпиада сезона 2010-2011
// Автор задачи: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
// Автор чекера: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

uses
    testlib, SysUtils, Math;
const
    MAXX = 10000;
    MAXN = 1000;
type
    int = longint;

var
    n, d, i, j, sum : int;
    a : array [1..MAXN] of int;

begin
    n := inf.readlongint();
    d := inf.readlongint();

    sum := 0;
    for i := 1 to n do begin
        a[i] := ouf.readlongint();
        if (abs(a[i]) > MAXX) then begin
            quit(_wa, '|a[' + inttostr(i) + ']| out of ' + inttostr(MAXX));
        end;

        for j := 1 to i - 1 do begin
            if (a[i] = a[j]) then begin
                quit(_wa, 'a[' + inttostr(i) + '] == a[' + inttostr(j) + ']');
            end;
        end;

        sum := sum + a[i];
    end;

    if (sum = n * d) then begin
        quit(_ok, 'Ok, correct answer found');
    end else begin
        quit(_wa, 'Wrong sum = ' + inttostr(sum) 
                    + '; expected n * d = ' + inttostr(n * d));
    end;
end.
